﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_NullRefTabletMode
{
    public partial class Form1 : Form
    {
        ValueList vl;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            vl = new ValueList();
            vl.ValueListItems.Add(1);
            vl.ValueListItems.Add(2);
            vl.ValueListItems.Add(3);
            vl.ValueListItems.Add(4);

            ultraComboEditor1.ValueList = vl;

            DataSet explorerGridDS = new DataSet();
            DataTable explorerTable = explorerGridDS.Tables.Add("Explorer Grid");
            explorerTable.Columns.Add("Name", typeof(string));
            explorerTable.Columns.Add("Contents", typeof(int));

            explorerTable.Rows.Add(new object[] { "First", 1 });
            explorerTable.Rows.Add(new object[] { "Second", 2 });
            explorerTable.Rows.Add(new object[] { "Third", 3 });
            explorerTable.Rows.Add(new object[] { "Fourth", 4 });

            ultraGrid1.DataSource = explorerGridDS;

            DataSet normalGridDS = new DataSet();
            DataTable normalGridTable = normalGridDS.Tables.Add("Normal Grid");

            normalGridTable.Columns.Add("id", typeof(int)).AutoIncrement = true;
            normalGridTable.Columns.Add("Name", typeof(string));
            normalGridTable.Columns.Add("Quantity", typeof(int));
            normalGridTable.Columns.Add("Price", typeof(double));
            normalGridTable.Columns.Add("Date", typeof(DateTime));

            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Beverage", 50, 10.2, new DateTime(2008, 04, 22) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Appliances", 5, 90, new DateTime(2012, 05, 10) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Furniture", 12, 79, new DateTime(2009, 02, 28) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Meat", 40, 10.2, new DateTime(2008, 04, 22) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Fruits", 25, 12, new DateTime(2012, 05, 10) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Vegetables", 30, 13, new DateTime(2005, 10, 05) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Cars", 13, 200, new DateTime(2009, 02, 28) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Tools", 60, 15.3, new DateTime(2008, 04, 22) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Estate", 5, 3000, new DateTime(2012, 05, 10) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Motorcycles", 10, 320, new DateTime(2005, 10, 05) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Clothes", 40, 69, new DateTime(2009, 02, 28) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Shoes", 24, 40.6, new DateTime(2008, 04, 22) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Games", 53, 50, new DateTime(2012, 05, 10) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Books", 42, 22, new DateTime(2005, 10, 05) });
            normalGridDS.Tables["Normal Grid"].Rows.Add(new Object[] { null, "Movies", 38, 19, new DateTime(2009, 02, 28) });

            ultraGrid2.DataSource = normalGridDS;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Contents"].EditorComponent = ultraComboEditor1;
            e.Layout.Bands[0].Columns["Contents"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDown;
        }

        private void ultraGrid2_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        { 
            e.Layout.Bands[0].Columns["Price"].EditorComponent = ultraComboEditor1;
            e.Layout.Bands[0].Columns["Quantity"].EditorComponent = ultraComboEditor1;
            e.Layout.Bands[0].Columns["Quantity"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDown;
            

        }
    }
}
